.tooltip {
  position: relative;
  display: inline-block;
}
.tooltip:hover .tooltip-text {
  display: block;
}
.tooltip .tooltip-text {
  width: max-content;
  top: -20px;
  left: 50%;
  transform: translate(-90%, -100%);
  padding: 8px 10px;
  color: #ffffff;
  background-color: #333333;
  font-weight: normal;
  font-size: 12px;
  border-radius: 3px;
  position: absolute;
  z-index: 99999999;
  box-sizing: border-box;
  display: none;
}
.tooltip .tooltip-text i {
  position: absolute;
  top: 100%;
  left: 90%;
  margin-left: -12px;
  width: 24px;
  height: 12px;
  overflow: hidden;
}
.tooltip .tooltip-text i::after {
  content: " ";
  position: absolute;
  width: 10px;
  height: 10px;
  left: 50%;
  transform: translate(-50%, -50%) rotate(45deg);
  background-color: #333333;
}
.tooltip .tooltip-text.tooltip-left {
  transform: translate(-10%, -100%);
}
.tooltip .tooltip-text.tooltip-left i {
  left: 10%;
}
.tooltip .tooltip-text.tooltip-left-bottom {
  line-height: 1.2rem;
  transform: translate(-5%, 15%);
  top: 0px;
  left: 50%;
}
.tooltip .tooltip-text.tooltip-left-bottom i {
  top: -6px;
  margin-left: -12px;
  left: 10%;
  transform: translate(-50%, -50%) rotate(180deg) !important;
}
